Linux support

TPAI actually runs quite well under Wine/Linux, at least on my hardware. It does use my old Intel HD Graphics 530 GPU, but I haven’t tried it with newer more powerful GPUs.

I’m currently running TPAI v2.4.0 under Wine v9.4 and I think that it would run under Wine v9.0 but probably not much older versions. I have successfully used a few combinations of Wine versions (9.1, 9.2, 9.3 and 9.4) and TPAI versions (2.3.0, 2.3.1, 2.3.2 and 2.4.0).

The catch is that the installer doesn’t quite work:

  1. Run it until it says that it “ended prematurely because of an error”.
  2. At that point, don’t click on “Finish” or close the window. If you do, it will remove everything it just installed. Instead kill the process from a terminal (or use something like ‘xkill’) to terminate the installer without letting it finish.
  3. Then start the installer again. This time it should offer to repair the installation. Select that option and then it should work. At least it does on my computer.

I have posted some screenshots here.